import { InMemoryPaging } from "@gooddata/sdk-backend-base";
/**
 * @internal
 */
export function recordedUserGroupsQuery(implConfig) {
    return {
        query: (_options) => {
            const result = implConfig.userManagement?.userGroup?.userGroups ?? [];
            return Promise.resolve(new InMemoryPaging(result));
        },
    };
}
/**
 * @internal
 */
export function recordedAccessControlFactory(implConfig) {
    return {
        getAccessList: (_sharedObjectRef) => {
            const result = implConfig.userManagement?.accessControl?.accessList ?? [];
            return Promise.resolve(result);
        },
        grantAccess: () => Promise.resolve(),
        revokeAccess: () => Promise.resolve(),
        changeAccess: () => Promise.resolve(),
        getAvailableGrantees: () => {
            const result = implConfig.userManagement?.accessControl?.availableGrantees ?? [];
            return Promise.resolve(result);
        },
    };
}
/**
 * @internal
 */
export class RecordedWorkspaceUsersQuery {
    config = {};
    constructor(config) {
        this.config = config;
    }
    withOptions(_options) {
        return this;
    }
    queryAll() {
        const result = this.config?.userManagement?.users?.users ?? [];
        return Promise.resolve(result);
    }
    query() {
        const result = this.config.userManagement?.users?.users ?? [];
        return Promise.resolve(new InMemoryPaging(result));
    }
}
//# sourceMappingURL=userManagement.js.map